<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>HRIS Overtime Request </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_request::sidebar_request" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-calendar-plus" style="color: #9B7536"></i> Overtime Request
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="card bg-transparent border">
                    <div class="card-header bg-transparent">
                        <span>Form</span>
                    </div>
                    <form class="form-horizontal" th:action="@{/request/overtime/save(employes=${employes.id})}" th:object="${overTimeRequest}" method="post" enctype="multipart/form-data">

                    <div class="card-body">
                        <div class="alert alert-danger ur" th:if="${gagalfile != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:text="${gagalfile}"></p>
                        </div>

                        <div class="alert alert-danger ur" th:if="${lebih != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p>Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                        </div>

                        <div class="alert alert-danger ur" th:if="${fatal != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:text="${fatal}">Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                        </div>

                        <div class="mb-3">
                            <label class="control-label">Date:</label>
                            <div class="col-sm-12">
                                <input type="date" class="form-control bg-transparent pull-right" id="tanggalOvertimeString" th:field="*{tanggalOvertimeString}" name="tanggalOvertimeString" placeholder="dd-mm-yyyy" onchange="isiTanggal()">
                            </div>
                        </div>

                        <br>

                            <input type="hidden" id="idEmployee" name="idEmployee" th:value="${employes.getId()}">

                            <input type="hidden" id="statusHari" name="statusHari">
                            <div class="alert alert-info pe">

                            </div>

                            <div class="alert alert-info pa">

                            </div>


                            <div class="mb-3 co">
                                <label for="overtimeFromString" class="control-label te">In</label>

                                <div class="col-sm-12">
                                    <div class="input-group">
                                        <input type="time" class="form-control bg-transparent timepicker" th:field="*{overtimeFromString}" name="overtimeFromString" id="overtimeFromString">
                                    </div>
                                    <p th:if="${#fields.hasErrors('overtimeFromString')}" th:errors="*{overtimeFromString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <div class="mb-3 co">
                                <label for="overtimeToString" class="control-label te">Out</label>

                                <div class="col-sm-12">
                                    <div class="input-group">
                                        <input type="time" class="form-control bg-transparent timepicker" th:field="*{overtimeToString}" name="overtimeToString" id="overtimeToString">
                                    </div>
                                    <p th:if="${#fields.hasErrors('overtimeToString')}" th:errors="*{overtimeToString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <div class="mb-3 co">
                                <label for="keterangan" class="control-label bg-transparent ke">Desciptions:</label>
                                <div class="col-sm-12">
                                    <textarea class="form-control bg-transparent ke" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>
                                    <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <div class="mb-3 co">
                                <label for="fileUpload" class="control-label">Evidence:</label>

                                <div class="col-sm-12">
                                    <input type="file" name="fileUpload" id="fileUpload" class="form-control bg-transparent" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                    <!--                                    <p class="help-block te">Compulsory to Upload the Evidence.</p>-->

                                    <p th:if="${fatal != null}" th:text="${fatal}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <input type="hidden" name="statusOvertime" id="statusOvertime" th:field="*{statusOvertime}">
                            <input type="hidden" name="id" th:field="*{id}">
                            <input type="hidden" name="file" th:field="*{file}">
                    </div>
                    <div class="card-footer">
                        <a th:href="@{/request/attendance}" class="btn btn-secondary ta">Cancel</a>
                        <button type="submit" class="btn btn-primary pull-right su" id="simpan">Save</button>
                    </div>
                    </form>
                </div>
            </div>
        </div>

    </main>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            var formGroups = document.querySelectorAll('.te');
            var pe = document.querySelectorAll('.pe');
            var pa = document.querySelectorAll('.pa');
            var co = document.querySelectorAll('.co');
            var ke = document.querySelectorAll('.ke');

            formGroups.forEach(function (formGroup) {
                formGroup.style.display = 'none';
            });
            pe.forEach(function (pe) {
                pe.style.display = 'none';
            });
            pa.forEach(function (pa) {
                pa.style.display = 'none';
            });
            co.forEach(function (co) {
                co.style.display = 'none';
            });
            ke.forEach(function (ke) {
                ke.style.display = 'none';
            });
        });
    </script>


    <script>
        function isiTanggal() {
            var tanggalString = document.getElementById("tanggalOvertimeString").value;
            var idEmployee = document.getElementById("idEmployee").value;

            // document.getElementById("isiTanggalOvertimeString").setAttribute('value', tanggalString);

            const url = '/api/overtime/cek_shift?tanggal='+tanggalString+'&employee='+idEmployee;
            $.getJSON(url, function(data){

                // document.getElementById("tanggalOvertimeString").setAttribute('value', data.tanggals);
                var display = `Status: ${data.status}<br>
                                                    Shift In: ${data.shiftIn}<br>
                                                    Shift Out: ${data.shiftOut}<br>
                                                    Lembur terhitung jika masuk sebelum ${data.overtimeBefore} dan selesai ${data.shiftIn} atau mulai ${data.shiftOut} dan selesai setelah ${data.overtimeAfter} <br>
                                                    Waktu lembur maksimal 3 jam`

                var display3 = `Status: ${data.status}<br>
                                                    Anda tidak diizinkan lembur di tanggal ini`

                var display2 = `Status: ${data.keterangan}, Hari Libur<br>
                                Waktu lembur maksimal di hari ini hanya 5 jam<br>
                                Harus melampirkan surat tugas tertulis dari atasan masing-masing`

                var display4 = `Status: ${data.keterangan}, Hari Libur<br>
                                Anda tidak diizinkan lembur di tanggal ini`

                if(data.status == 'ON'){
                    if(data.overtimeWorkingDay == 'AKTIF'){
                        $(".pe").html(display);
                        $(".pe").show();
                        $(".pa").hide();
                        // $(".te").show();
                        $(".co").show();
                        $(".ke").show();
                        $(".timepicker").show();
                    }else{
                        $(".pa").html(display3);
                        $(".pa").show();
                        $(".pe").hide();
                        // $(".te").hide();
                        $(".co").hide();
                        $(".ke").hide();
                        $(".timepicker").hide();
                    }
                }else{
                    if(data.overtimeHoliday == 'AKTIF') {
                        $(".pe").html(display2);
                        $(".pe").show();
                        $(".pa").hide();
                        // $(".te").show();
                        $(".co").show();
                        $(".ke").show();
                        $(".timepicker").show();
                    }else{
                        $(".pa").html(display4);
                        $(".pa").show();
                        $(".pe").hide();
                        // $(".te").hide();
                        $(".co").hide();
                        $(".ke").hide();
                        $(".timepicker").hide();
                    }
                }

                document.getElementById("statusOvertime").setAttribute('value', data.status)
                // document.getElementById("tanda").setAttribute('value', data.shiftIn);

                document.getElementById("statusHari").setAttribute('value', data.status);
            });
        }

        function cekMasuk(){
            var tanggalString = document.getElementById("tanggalOvertime").value;
            var idEmployee = document.getElementById("idEmployee").value;
            var masuk = document.getElementById("overtimeFrom").value;
            const url = '/api/overtime/cek_masuk?tanggal='+tanggalString+'&employee='+idEmployee+'&masuk='+masuk;
            $.getJSON(url, function(data) {
                if(data.status == 'OFF'){
                    var display = `${data.keteranganMasuk}`
                    $(".re").html(display);
                    $(".re").show();
                    $(".te").hide();
                }else{
                    var display2 = ``
                    $(".re").html(display2);
                    $(".re").hide();
                    $(".te").show();
                }
            });
        }

        function cekKeluar() {
            var tanggalString = document.getElementById("tanggalOvertimeString").value;
            var idEmployee = document.getElementById("idEmployee").value;
            var masuk = document.getElementById("overtimeFrom").value;
            var keluar = document.getElementById("overtimeTo").value;
            const url = '/api/overtime/cek_keluar?tanggal='+tanggalString+'&employee='+idEmployee+'&keluar='+keluar+'&masuk='+masuk;
            $.getJSON(url, function(data) {
                if(data.statusMasuk == 'OFF'){
                    var display = `${data.keteranganMasuk}`
                    var display2 = `${data.keteranganKeluar}`
                    $(".re").html(display);
                    $(".ra").html(display2);
                    $(".re").show();
                    $(".ra").show();
                    $(".te").hide();
                }else{
                    var display2 = ``
                    $(".re").html(display2);
                    $(".re").hide();
                    $(".ra").hide();
                    $(".te").show();
                }
            });
        }
    </script>
</main>
</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Overtime Request</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Overtime Request-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Request</li>-->
<!--        <li class="active"> Overtime Request</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Overtime Request</h3>-->
<!--                    <h3 class="box-title" th:text="${employes.fullName}">Ayah dari</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/request/overtime/save(employes=${employes.id})}" th:object="${overTimeRequest}" method="post" enctype="multipart/form-data">-->
<!--                    <div class="box-body">-->

<!--                        <div class="callout callout-danger ur" th:if="${fatal != null}">-->
<!--                            <h4>Save Data Unsuccesfully!</h4>-->

<!--                            <p th:text="${fatal}">Request anda melebihi sisa kuota cuti yang anda miliki.</p>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label class="col-sm-2 control-label">Date:</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalOvertimeString" th:field="*{tanggalOvertimeString}" name="tanggalOvertimeString" placeholder="dd-mm-yyyy" onchange="isiTanggal()">-->

<!--                                </div>-->
<!--                            </div>-->
<!--                            <input type="hidden" id="idEmployee" name="idEmployee" th:value="${employes.getId()}">-->
<!--&lt;!&ndash;                            <input type="hidden" id="isiTanggalOvertimeString" name="isiTanggalOvertimeString">&ndash;&gt;-->

<!--                        </div>-->

<!--&lt;!&ndash;                        <input type="hidden" id="tanggalOvertimeString" name="tanggalOvertimeString" th:field="*{tanggalOvertimeString}" >&ndash;&gt;-->


<!--                        <input type="hidden" id="statusHari" name="statusHari">-->
<!--                        <div class="callout callout-info pe">-->

<!--                        </div>-->

<!--                        <div class="callout callout-danger pa">-->

<!--                        </div>-->

<!--                        <div class="form-group co">-->
<!--                            <label for="overtimeFrom" class="col-sm-2 control-label">Mulai</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <div class="input-group">-->
<!--                                    <input type="text" class="form-control timepicker" th:field="*{overtimeFromString}" name="overtimeFromString" id="overtimeFrom" onchange="cekKeluar()">-->

<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-clock-o"></i>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                <p class="text-danger re"></p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group co">-->
<!--                            <label for="overtimeTo" class="col-sm-2 control-label">Selesai</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <div class="input-group">-->
<!--                                    <input type="text" class="form-control timepicker" th:field="*{overtimeToString}" name="overtimeToString" id="overtimeTo" onchange="cekKeluar()">-->

<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-clock-o"></i>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                <p class="text-danger ra"></p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group co">-->
<!--                            <label for="keterangan" class="col-sm-2 control-label">Desciptions:</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <textarea class="form-control ke" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group co">-->
<!--                            <label for="fileUpload" class="col-sm-2 control-label">File Upload:</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="file" name="fileUpload" id="fileUpload" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps" required>-->

<!--                                <p class="help-block">Upload file bila perlu.</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <input type="hidden" name="statusOvertime" id="statusOvertime" th:field="*{statusOvertime}">-->
<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                        <input type="hidden" name="file" th:field="*{file}">-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/request/overtime}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-primary pull-right te" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->


<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalOvertimeString').datepicker({-->
<!--                autoclose: true,-->
<!--                format: 'dd-mm-yyyy'-->
<!--            })-->

<!--            $('#endDateString').datepicker({-->
<!--                autoclose: true-->

<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->

<!--            $('.te').hide();-->

<!--            $('.pe').hide();-->
<!--            $('.pa').hide();-->

<!--            $(".co").hide();-->
<!--            $(".ke").hide();-->
<!--            $(".timepicker").hide();-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->

<!--    <script>-->
<!--        function isiTanggal() {-->
<!--            var tanggalString = document.getElementById("tanggalOvertimeString").value;-->
<!--            var idEmployee = document.getElementById("idEmployee").value;-->

<!--            // document.getElementById("isiTanggalOvertimeString").setAttribute('value', tanggalString);-->

<!--            const url = '/api/overtime/cek_shift?tanggal='+tanggalString+'&employee='+idEmployee;-->
<!--            $.getJSON(url, function(data){-->

<!--                // document.getElementById("tanggalOvertimeString").setAttribute('value', data.tanggals);-->
<!--                var display = `Status: ${data.status}<br>-->
<!--                                                    Shift In: ${data.shiftIn}<br>-->
<!--                                                    Shift Out: ${data.shiftOut}<br>-->
<!--                                                    Lembur terhitung jika masuk sebelum ${data.overtimeBefore} dan selesai ${data.shiftIn} atau mulai ${data.shiftOut} dan selesai setelah ${data.overtimeAfter} <br>-->
<!--                                                    Waktu lembur maksimal 3 jam`-->

<!--                var display3 = `Status: ${data.status}<br>-->
<!--                                                    Anda tidak diizinkan lembur di tanggal ini`-->

<!--                var display2 = `Status: ${data.keterangan}, Hari Libur<br>-->
<!--                                Waktu lembur maksimal di hari ini hanya 5 jam<br>-->
<!--                                Harus melampirkan surat tugas tertulis dari atasan masing-masing`-->

<!--                var display4 = `Status: ${data.keterangan}, Hari Libur<br>-->
<!--                                Anda tidak diizinkan lembur di tanggal ini`-->

<!--                if(data.status == 'ON'){-->
<!--                    if(data.overtimeWorkingDay == 'AKTIF'){-->
<!--                        $(".pe").html(display);-->
<!--                        $(".pe").show();-->
<!--                        $(".pa").hide();-->
<!--                        // $(".te").show();-->
<!--                        $(".co").show();-->
<!--                        $(".ke").show();-->
<!--                        $(".timepicker").show();-->
<!--                    }else{-->
<!--                        $(".pa").html(display3);-->
<!--                        $(".pa").show();-->
<!--                        $(".pe").hide();-->
<!--                        // $(".te").hide();-->
<!--                        $(".co").hide();-->
<!--                        $(".ke").hide();-->
<!--                        $(".timepicker").hide();-->
<!--                    }-->
<!--                }else{-->
<!--                    if(data.overtimeHoliday == 'AKTIF') {-->
<!--                        $(".pe").html(display2);-->
<!--                        $(".pe").show();-->
<!--                        $(".pa").hide();-->
<!--                        // $(".te").show();-->
<!--                        $(".co").show();-->
<!--                        $(".ke").show();-->
<!--                        $(".timepicker").show();-->
<!--                    }else{-->
<!--                        $(".pa").html(display4);-->
<!--                        $(".pa").show();-->
<!--                        $(".pe").hide();-->
<!--                        // $(".te").hide();-->
<!--                        $(".co").hide();-->
<!--                        $(".ke").hide();-->
<!--                        $(".timepicker").hide();-->
<!--                    }-->
<!--                }-->

<!--                document.getElementById("statusOvertime").setAttribute('value', data.status)-->
<!--                // document.getElementById("tanda").setAttribute('value', data.shiftIn);-->

<!--                document.getElementById("statusHari").setAttribute('value', data.status);-->
<!--            });-->
<!--        }-->

<!--        function cekMasuk(){-->
<!--            var tanggalString = document.getElementById("tanggalOvertime").value;-->
<!--            var idEmployee = document.getElementById("idEmployee").value;-->
<!--            var masuk = document.getElementById("overtimeFrom").value;-->
<!--            const url = '/api/overtime/cek_masuk?tanggal='+tanggalString+'&employee='+idEmployee+'&masuk='+masuk;-->
<!--            $.getJSON(url, function(data) {-->
<!--                if(data.status == 'OFF'){-->
<!--                    var display = `${data.keteranganMasuk}`-->
<!--                    $(".re").html(display);-->
<!--                    $(".re").show();-->
<!--                    $(".te").hide();-->
<!--                }else{-->
<!--                    var display2 = ``-->
<!--                    $(".re").html(display2);-->
<!--                    $(".re").hide();-->
<!--                    $(".te").show();-->
<!--                }-->
<!--            });-->
<!--        }-->

<!--        function cekKeluar() {-->
<!--            var tanggalString = document.getElementById("tanggalOvertimeString").value;-->
<!--            var idEmployee = document.getElementById("idEmployee").value;-->
<!--            var masuk = document.getElementById("overtimeFrom").value;-->
<!--            var keluar = document.getElementById("overtimeTo").value;-->
<!--            const url = '/api/overtime/cek_keluar?tanggal='+tanggalString+'&employee='+idEmployee+'&keluar='+keluar+'&masuk='+masuk;-->
<!--            $.getJSON(url, function(data) {-->
<!--                if(data.statusMasuk == 'OFF'){-->
<!--                    var display = `${data.keteranganMasuk}`-->
<!--                    var display2 = `${data.keteranganKeluar}`-->
<!--                    $(".re").html(display);-->
<!--                    $(".ra").html(display2);-->
<!--                    $(".re").show();-->
<!--                    $(".ra").show();-->
<!--                    $(".te").hide();-->
<!--                }else{-->
<!--                    var display2 = ``-->
<!--                    $(".re").html(display2);-->
<!--                    $(".re").hide();-->
<!--                    $(".ra").hide();-->
<!--                    $(".te").show();-->
<!--                }-->
<!--            });-->
<!--        }-->
<!--    </script>-->

<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->